=== debian/changelog ===
ros-kinetic-dataspeed-can-tools (1.0.16-1xenial) xenial; urgency=high

  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Fix processing bags with DBC files for extended CAN IDs
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 07 Jul 2020 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.15-1xenial) xenial; urgency=high

  * Use %zu for portable printf() size type
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Fri, 24 Jan 2020 05:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.14-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 16 Jan 2020 05:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.13-1xenial) xenial; urgency=high

  * Added advance compiler error checking and fixed newly exposed errors
  * Contributors: Kevin Hallenbeck, Lincoln Lorenz

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 08 Jan 2019 05:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.12-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 19 Dec 2018 05:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.11-1xenial) xenial; urgency=high

  * Added support for multiple DBC files
  * Added support for multiplexed signals
  * Many changes to the command line arguments
  * Fixed bug with signals greater than 31 bits
  * Set CXX_STANDARD to C++11 when necessary
  * Contributors: Kevin Hallenbeck, Eric Myllyoja

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 06 Sep 2018 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.10-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 13 Jun 2018 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.9-1xenial) xenial; urgency=high

  * Preliminary support for extended IDs
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 12 Jun 2018 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.8-1xenial) xenial; urgency=high

  * Added timestamp
  * Added option to expand dbc signals or not
  * Handle messages not defined in the dbc file
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 09 Apr 2018 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.7-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 19 Oct 2017 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.6-1xenial) xenial; urgency=high

  * Migrated from dataspeed_can_msgs to can_msgs (this will break dependent packages)
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 07 Sep 2017 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.5-1xenial) xenial; urgency=high

  * Updated nodelets to the PLUGINLIB_EXPORT_CLASS macro
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 21 Aug 2017 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.4-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 08 May 2017 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.3-1xenial) xenial; urgency=high

  * Updated package.xml format to version 2
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 25 Apr 2017 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.2-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 24 Jan 2017 05:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.1-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 17 Nov 2016 05:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.0-1xenial) xenial; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 28 Sep 2016 04:00:00 -0000
