=== debian/control ===
Source: ros-kinetic-dataspeed-can-tools
Section: misc
Priority: optional
Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-can-msgs, ros-kinetic-catkin, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-rostest, ros-kinetic-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-kinetic-dataspeed-can-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-can-msgs, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-std-msgs
Description: CAN bus introspection
